Package org.apache.wiki.markdown.extensions.jspwikilinks.postprocessor

# Class AccessRuleLinkNodePostProcessorState

java.lang.Object
org.apache.wiki.markdown.extensions.jspwikilinks.postprocessor.AccessRuleLinkNodePostProcessorState

All Implemented Interfaces:
  `NodePostProcessorState<JSPWikiLink>`

public class AccessRuleLinkNodePostProcessorState extends Object implements NodePostProcessorState<JSPWikiLink>
`NodePostProcessorState` which further post processes access rules links.

## Constructor Summary

Constructors
Constructor
Description
`AccessRuleLinkNodePostProcessorState(org.apache.wiki.api.core.Context wikiContext)`

## Method Summary

Modifier and Type
Method
Description
`void`
`process(com.vladsch.flexmark.util.ast.NodeTracker state, JSPWikiLink link)`
performs further processing before rendering.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AccessRuleLinkNodePostProcessorState

public AccessRuleLinkNodePostProcessorState(org.apache.wiki.api.core.Context wikiContext)

## Method Details

### process

public void process(com.vladsch.flexmark.util.ast.NodeTracker state, JSPWikiLink link)
performs further processing before rendering.

Specified by:
  `process` in interface `NodePostProcessorState<JSPWikiLink>`
Parameters:
  `state` - to record node addition/deletion
  `link` - the specific node in which the post-processing is taking place.
See Also:
  - `NodePostProcessorState.process(NodeTracker, Node)`